function [ p ] = P0( n, m )
%P0 evaluates the associated Legendre polynomial for zero argument using recurrence relations.
%   returns P_n^m(0)
if mod(n + m, 2)
    p = 0;
else
    p = 1;
    for i=1:n
        p = -(i + i - 1)*p;
    end
    for j=(n-1):-2:(m+1)
        p = p/((n + j)*(j - n - 1));
    end
end

